{
  description = "A very basic flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };

  outputs = { self, nixpkgs }: let
      system = "x86_64-linux";
      pkgs = import nixpkgs { inherit system; };
    in {
      devShells.${system}.default = pkgs.mkShell {
        buildInputs = [
          pkgs.docker
          pkgs.docker-compose
        ];

        shellHook = ''
      		docker compose -f db/docker-compose.yml up mysql -d
		      trap 'docker compose -f db/docker-compose.yml down' EXIT
        '';
      };
    };
}
